import { Command, TailCommand } from "@streamdal/protos/protos/sp_command";
import { Audience } from "@streamdal/protos/protos/sp_common";
import { Pipeline } from "@streamdal/protos/protos/sp_pipeline";
import { Configs } from "../streamdal.js";
export type InternalPipeline = Pipeline & {
    paused?: boolean;
};
export declare const initPipelines: (configs: Configs) => Promise<void>;
export declare const processResponse: (response: Command) => Promise<void>;
export declare const buildPipeline: (pipeline: Pipeline) => Promise<Pipeline>;
export declare const attachPipeline: (audience: Audience, pipeline: Pipeline) => Promise<void>;
export declare const detachPipeline: (audience: Audience, pipelineId: string) => boolean | undefined;
export declare const togglePausePipeline: (audience: Audience, pipelineId: string, paused: boolean) => void;
export declare const tailPipeline: (audience: Audience, { request }: TailCommand) => void;
