import { Audience } from "@streamdal/protos/protos/sp_common";
import { IInternalClient } from "@streamdal/protos/protos/sp_internal.client";
import { PipelineStep } from "@streamdal/protos/protos/sp_pipeline";
import { PipelineStatus, SDKResponse, StepStatus } from "@streamdal/protos/protos/sp_sdk";
import { Configs, StreamdalRequest } from "../streamdal.js";
import { InternalPipeline } from "./pipeline.js";
import { Tail } from "./register.js";
export interface PipelineConfigs {
    grpcClient: IInternalClient;
    streamdalToken: string;
    sessionId: string;
    dryRun: boolean;
}
export interface TailRequest {
    configs: PipelineConfigs;
    tails?: Map<string, Tail>;
    audience: Audience;
    originalData: Uint8Array;
    newData?: Uint8Array;
}
export declare const MAX_PAYLOAD_SIZE: number;
export declare const retryProcessPipelines: ({ configs, audience, data, }: {
    configs: Configs;
} & StreamdalRequest) => Promise<SDKResponse>;
export declare const processPipeline: ({ originalData, audience, configs, pipeline, }: {
    originalData: Uint8Array;
    audience: Audience;
    configs: Configs;
    pipeline: InternalPipeline;
}) => {
    pipelineStatus: PipelineStatus;
    data: Uint8Array;
};
export declare const processPipelines: ({ configs, audience, data, }: {
    configs: Configs;
} & StreamdalRequest) => Promise<SDKResponse>;
export declare const resultCondition: ({ configs, step, pipeline, stepStatus, }: {
    configs: PipelineConfigs;
    step: PipelineStep;
    pipeline: InternalPipeline;
    stepStatus: StepStatus;
}) => void;
export declare const runStep: ({ originalData, audience, configs, step, pipeline, }: {
    originalData: Uint8Array;
    audience: Audience;
    configs: PipelineConfigs;
    step: PipelineStep;
    pipeline: InternalPipeline;
}) => {
    stepStatus: StepStatus;
    data: Uint8Array;
};
